<?php
class cuatro_ruedas extends Vehiculo 
    {
		// Declaración de los atributos 
		private $numero_puertas; 
        
		//accesorios
		public function getNumeroPuerta()
		{
            return $this->numero_puertas; //devuelve el numero_puertas 
		}
		public function setNumeroPuerta($numero_puertas)
		{
			$this->numero_puertas = $numero_puertas; //escribe en el atributo numero_puertas
		}
		
		//métodos públicos
        public function repintar($color)
		{
			$this->setColor($color);
		}
		
		public function añadir_persona($peso_persona)
		{
			$this->setPeso($this->getPeso() + $peso_persona);
		}


	}
?>
